<IfModule mod_rewrite.c>
RewriteEngine on

RewriteCond %{REQUEST_FILENAME} ^(.*(data|tmp|log).*\.php)$
RewriteRule .*$ – [F,L]

RewriteCond %{REQUEST_FILENAME} ^(.*(assets|themes|data).*\.(css|png|js|jpeg|gif|jpg))$
RewriteRule .*$ $0 [L]

RewriteCond %{REQUEST_FILENAME} !-f
RewriteCond %{REQUEST_FILENAME} !-d
RewriteRule ^(.*)$ index.php/$1 [L]

</IfModule>